Storyden
Admin

Moderation Action Create

Create a new moderation action such as a ban or content purge.

POST
/admin/actions

Create a new moderation action such as a ban or content purge.

Authorization

cookiestoryden-session<token>

Request Body

application/json
  1. body

A moderation action to purge content created by a specific account.

action*"purge_account"
Value in"purge_account"
account_id*Identifier

A unique identifier for this resource.

Formatxid
include*array<>

Response Body

OK

response?AuditEventPropsapplication/json
Example Request
curl -X POST 'https://example.com/api/admin/actions' \  -H 'Content-Type: application/json' \  -d '{  "action": "purge_account",  "account_id": "string",  "include": [    "threads"  ]}'
Example Response
{  "id": "string",  "type": "thread_deleted",  "timestamp": "2019-08-24T14:15:22Z",  "enacted_by": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  }}